#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QGraphicsEffect>
#include <QMessageBox>
#include <QStringListModel>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    model = new QStringListModel(this);
    QStringList list;
    list << "a" << "b" << "c";
    model->setStringList(list);

    ui->listView->setModel(model);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    QGraphicsBlurEffect* p_blur = new QGraphicsBlurEffect (this);
    p_blur->setBlurRadius(20);
    p_blur->setBlurHints(QGraphicsBlurEffect::QualityHint);
    setGraphicsEffect(p_blur);
    repaint();

  QMessageBox::information(this,"Blur-Effect", "Blur-Effect");

  setGraphicsEffect(0);
}



